"""empty message

Revision ID: 502a26cdc906
Revises: 4206c9eb0a0d
Create Date: 2021-02-20 16:01:14.688715

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '502a26cdc906'
down_revision = '4206c9eb0a0d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('subscriptions', 'password',
               existing_type=mysql.VARCHAR(length=90),
               nullable=False)
    op.alter_column('subscriptions', 'username',
               existing_type=mysql.VARCHAR(length=90),
               nullable=False)
    op.drop_index('ix_subscriptions_note', table_name='subscriptions')
    op.drop_index('ix_subscriptions_password', table_name='subscriptions')
    op.drop_index('ix_subscriptions_username', table_name='subscriptions')
    op.drop_column('subscriptions', 'note')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('subscriptions', sa.Column('note', mysql.VARCHAR(length=90), nullable=True))
    op.create_index('ix_subscriptions_username', 'subscriptions', ['username'], unique=False)
    op.create_index('ix_subscriptions_password', 'subscriptions', ['password'], unique=False)
    op.create_index('ix_subscriptions_note', 'subscriptions', ['note'], unique=False)
    op.alter_column('subscriptions', 'username',
               existing_type=mysql.VARCHAR(length=90),
               nullable=True)
    op.alter_column('subscriptions', 'password',
               existing_type=mysql.VARCHAR(length=90),
               nullable=True)
    # ### end Alembic commands ###
